﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface ICampaignService
    {
        Campaign GetCampaign(string campaignId);
        Campaign CreateCampaign(Dictionary<string, object> campaignData);
        Campaign UpdateCampaign(string campaignId, Dictionary<string, object> data);
        bool DeleteCampaign(string campaignId);
        bool AddSessionToCampaign(string campaignId, string sessionId);
    }
}
