﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface ICharacterRepository
    {
        Character GetById(string id);
        List<Character> GetByUserId(string userId);
        List<Character> GetBySessionId(string sessionId);
        Character Add(Character character);
        Character Update(Character character);
        bool Delete(string id);
    }
}
