﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Models;

namespace Interfaces
{
    public interface ICharacterService
    {
        Character GetCharacter(string characterId);
        Character CreateCharacter(Dictionary<string, object> characterData);
        Character UpdateCharacter(string characterId, Dictionary<string, object> data);
        bool DeleteCharacter(string characterId);
        bool ValidateCharacterAccess(string userId, string characterId);
    }
}
