﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    public class Character : INotifyPropertyChanged
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string PlayerId { get; set; }
        public string SessionId { get; set; }
        public Dictionary<string, object> Stats { get; set; }
        public ObservableCollection<object> Inventory { get; set; }
        public DateTime CreatedAt { get; set; }
        public DateTime UpdatedAt { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
