﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    public class Session : INotifyPropertyChanged
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string DungeonMasterId { get; set; }
        public ObservableCollection<string> PlayerIds { get; set; }
        public string CampaignId { get; set; }
        public bool Active { get; set; }
        public DateTime CreatedAt { get; set; }
        public DateTime UpdatedAt { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
