﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    public class User : INotifyPropertyChanged
    {
        public string Id { get; set; }
        public string Username { get; set; }
        public string Email { get; set; }
        public ObservableCollection<string> CharacterIds { get; set; }
        public ObservableCollection<string> SessionIds { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
