﻿using Models;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface IMapService
    {
        Map GetMap(string mapId);
        Map CreateMap(Dictionary<string, object> mapData);
        Map UpdateMap(string mapId, Dictionary<string, object> data);
        bool DeleteMap(string mapId);
        Token AddToken(string mapId, Dictionary<string, object> tokenData);
        bool MoveToken(string mapId, string tokenId, Point position);
        bool RemoveToken(string mapId, string tokenId);
    }
}
