﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface ISessionRepository
    {
        Session GetById(string id);
        List<Session> GetByUserId(string userId);
        List<Session> GetByCampaignId(string campaignId);
        Session Add(Session session);
        Session Update(Session session);
        bool Delete(string id);
    }
}
