﻿using Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Interfaces
{
    public interface IUserRepository
    {
        User GetById(string id);
        User GetByUsername(string username);
        User GetByEmail(string email);
        User Add(User user);
        User Update(User user);
        bool Delete(string id);
    }
}
