﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    public class Map : INotifyPropertyChanged
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string SessionId { get; set; }
        public string Background { get; set; }
        public Size Size { get; set; }
        public bool Grid { get; set; }
        public ObservableCollection<Token> Tokens { get; set; }
        public DateTime CreatedAt { get; set; }
        public DateTime UpdatedAt { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
