﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models
{
    public class Token : INotifyPropertyChanged
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string MapId { get; set; }
        public string CharacterId { get; set; }
        public string Image { get; set; }
        public Point Position { get; set; }
        public string Visibility { get; set; }
        public DateTime CreatedAt { get; set; }
        public DateTime UpdatedAt { get; set; }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
